Subject: bug#42289: recursive import does not dort alphabetically

From: zimoun <[email-masked]>
Date: Tue, 08 Mar 2022 10:19:01 +0100

Hi Hartmut,

On jeu., 09 juil. 2020 at 09:53, Hartmut Goebel <[email-masked]> wrote:
> In most gnu/packages/*.scm files are (expected to be) sorted alphabetically.

While I agree with this recommendation to sort alphabetically
gnu/packages/*.scm...

> Now when importing some packages recursivly, packages are output in
> order of the dependency graph, thus authors need to sort them manually.

...I think it is not a good idea to sort alphabetically the output of
the importers, because:

 1. the packages have to be added dependency-sorted,
 2. since each imported package is not alphabetically adjacent in the
 larger collection of already available packages, the user still needs
 to find the correct location.

Therefore, I am in favor to close this issue as wontfix notabug.  WDYT?

Cheers,
simon